Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Object_Manager_Base.cpp File Reference

`#include "ace/Object_Manager_Base.h"`
`#include "ace/OS_Memory.h"`
`#include "ace/OS_NS_Thread.h"`
`#include "ace/OS_NS_sys_socket.h"`
`#include "ace/OS_NS_signal.h"`
`#include "ace/OS_NS_stdio.h"`

Include dependency graph for Object_Manager_Base.cpp:

This graph shows which files directly or indirectly include this file:

## Classes
class | ACE_OS_Object_Manager_Manager
| Ensure that the ACE_OS_Object_Manager gets initialized at program startup, and destroyed at program termination. More...
## Defines
#define | ACE_OS_PREALLOCATE_OBJECT(TYPE, ID)
#define | ACE_OS_DELETE_PREALLOCATED_OBJECT(TYPE, ID)
## Functions
void | ACE_OS_Object_Manager_Internal_Exit_Hook (void)
## Variables
int | ace_exit_hook_marker = 0
ACE_OS_Object_Manager_Manager | ACE_OS_Object_Manager_Manager_instance

## Define Documentation

#define ACE_OS_DELETE_PREALLOCATED_OBJECT | ( | TYPE,
|  | ID |  | ) |

| Value:
    delete (TYPE *) preallocated_object[ID];\
        preallocated_object[ID] = 0;

#define ACE_OS_PREALLOCATE_OBJECT | ( | TYPE,
|  | ID |  | ) |

| Value:
    {\
          TYPE *obj_p = 0;\
          ACE_NEW_RETURN (obj_p, TYPE, -1);\
          preallocated_object[ID] = (void *) obj_p;\
        }

## Function Documentation

void ACE_OS_Object_Manager_Internal_Exit_Hook | ( | void |  | ) |

## Variable Documentation

int ace_exit_hook_marker = 0

ACE_OS_Object_Manager_Manager ACE_OS_Object_Manager_Manager_instance`[static]`